Skip to main content
`Ctrl`+`K`

# NEPErrorType

The error type used to assess the accuracy of computed solutions.

## Synopsis

    typedef enum { NEP_ERROR_ABSOLUTE,
                   NEP_ERROR_RELATIVE,
                   NEP_ERROR_BACKWARD } NEPErrorType;

## Values

- `NEP_ERROR_ABSOLUTE` - compute error bound as \(\|r\|\)

- `NEP_ERROR_RELATIVE` - compute error bound as \(\|r\|/|\lambda|\)

- `NEP_ERROR_BACKWARD` - compute error bound as \(\|r\|/(\sum_i|f_i(\lambda)|\|A_i\|)\)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPComputeError()`

## Level

intermediate

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages